Skip to content

getStagedCreditsForPayment

READ

Get staged credits for payment.

POST /api/v1/invoicing/getStagedCreditsForPayment
curl -X POST '<your-host>/api/v1/invoicing/getStagedCreditsForPayment' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "paymentId": "string",
    "side": "sales"
  }'
Response
{
  "results": [
    {
      "memoId": "string",
      "invoiceId": "string",
      "amount": 0,
      "sourceAmount": 0
    }
  ],
  "count": null
}

Parameters

ParameterType
"sales""purchase"

Input schema

schema
{
  "type": "object",
  "properties": {
    "paymentId": {
      "type": "string"
    },
    "side": {
      "type": "string",
      "enum": [
        "sales",
        "purchase"
      ]
    }
  },
  "required": [
    "paymentId",
    "side"
  ]
}